# News sources (/api-reference/news/news-sources)

## News sources

`GET https://data.tryopengrid.com/v1/news/sources`

Every news source OpenGrid reads, with its health.

### Parameters

- `limit` (query, integer)
- `cursor` (query, any)
- `OpenGrid-Version` (header, string): The API version to shape the response for. Default: the version pinned to your key.

### Response `data`

- `avg_fetch_ms_24h` (null)
- `backfilled_items` (number)
- `category` (string)
- `conditional_get` (boolean)
- `consecutive_failures` (number)
- `day_dates` (boolean)
- `enabled` (boolean)
- `entity_hints` (object)
  - `provider` (string)
  - `provider_name` (string)
  - `vendor` (string)
- `fetches_24h` (number)
- `health` (string)
- `id` (string)
- `items_stored` (number)
- `key` (string)
- `kind` (string)
- `last_error` (null)
- `last_fetched_at` (null)
- `last_ok_at` (null)
- `name` (string)
- `new_items_24h` (number)
- `newest_item_at` (null)
- `note` (string)
- `ok_fetches_24h` (number)
- `oldest_dated_item_at` (null)
- `poll_seconds` (number)
- `topics` (array of string)
- `trust_tier` (string)
- `url` (string)

Every success is `{"data": ..., "meta": {as_of, api_version, request_id, next_cursor?}}`.

### Example

```bash
curl "https://data.tryopengrid.com/v1/news/sources" \
  -H "Authorization: Bearer $OPENGRID_API_KEY"
```